Package org.gradle.jvm.toolchain

# Interface JavaToolchainRepository

All Superinterfaces:
  `AuthenticationSupported`

@Incubating public interface JavaToolchainRepository extends AuthenticationSupported
Named configuration of `JavaToolchainResolver` implementations, identified by their implementation class.

The implementation class is the only mandatory property (it identifies the `JavaToolchainResolver` being configured; the name is arbitrary, chosen by the build author).

Authentication related configuration is optional.

Since:
  7.6

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getName()`
  Name of the configuration, set by the build author, can be anything, as long as it doesn't conflict with other repository names.
  `Property<Class<? extends JavaToolchainResolver>>`
  `getResolverClass()`
  Class implementing the `JavaToolchainResolver` being configured.

  ### Methods inherited from interface org.gradle.api.artifacts.repositories.AuthenticationSupported

  `authentication, credentials, credentials, credentials, getAuthentication, getCredentials, getCredentials`

- ## Method Details

  - ### getName

    String getName()
    Name of the configuration, set by the build author, can be anything, as long as it doesn't conflict with other repository names.

  - ### getResolverClass

    Property<Class<? extends JavaToolchainResolver>> getResolverClass()
    Class implementing the `JavaToolchainResolver` being configured. Mandatory property.